Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Particles Class Reference
Inheritance diagram for Particles:

## Public Member Functions
| __init__ (self, name=None, poolSize=1024)
| accelerate (self, time, stepCount=1, stepTime=0.0)
| addForce (self, force)
| cleanup (self)
| disable (self)
| enable (self)
| getEmitter (self)
| getFactory (self)
| getName (self)
| Getters ##.
| getNode (self)
| getPoolSizeRanges (self)
| getRenderer (self)
| isEnabled (self)
| printParams (self, file=sys.stdout, targ='self')
| removeForce (self, force)
| setEmitter (self, type)
| setFactory (self, type)
| setRenderer (self, type)
| setRenderNodePath (self, nodePath)

## Public Attributes
| emitter = None
str | emitterType = "undefined"
| factory = None
str | factoryType = "undefined"
int | fEnabled = 0
str | geomReference = ""
str | name = 'particles-%d' % Particles.id
| node = PhysicalNode(self.name)
| nodePath = NodePath(self.node)
| renderer = None
str | rendererType = "undefined"

## Static Public Attributes
| add_force = addForce
| get_emitter = getEmitter
| get_factory = getFactory
| get_pool_size_ranges = getPoolSizeRanges
| get_renderer = getRenderer
int | id = 1
| is_enabled = isEnabled
| notify = directNotify.newCategory('Particles')
| print_params = printParams
| remove_force = removeForce
| set_emitter = setEmitter
| set_factory = setFactory
| set_render_node_path = setRenderNodePath
| set_renderer = setRenderer

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | name = None,
|  |  | poolSize = 1024 )

## Member Function Documentation

## ◆ accelerate()

accelerate | ( |  | self,
|  |  | time,
|  |  | stepCount = 1,
|  |  | stepTime = 0.0 )

## ◆ addForce()

addForce | ( |  | self,
|  |  | force )

## ◆ cleanup()

cleanup | ( |  | self | ) |

## ◆ disable()

disable | ( |  | self | ) |

## ◆ enable()

enable | ( |  | self | ) |

## ◆ getEmitter()

getEmitter | ( |  | self | ) |

## ◆ getFactory()

getFactory | ( |  | self | ) |

## ◆ getName()

getName | ( |  | self | ) |

Getters ##.

## ◆ getNode()

getNode | ( |  | self | ) |

## ◆ getPoolSizeRanges()

getPoolSizeRanges | ( |  | self | ) |

## ◆ getRenderer()

getRenderer | ( |  | self | ) |

## ◆ isEnabled()

isEnabled | ( |  | self | ) |

## ◆ printParams()

printParams | ( |  | self,
|  |  | file = sys.stdout,
|  |  | targ = 'self' )

## ◆ removeForce()

removeForce | ( |  | self,
|  |  | force )

## ◆ setEmitter()

setEmitter | ( |  | self,
|  |  | type )

## ◆ setFactory()

setFactory | ( |  | self,
|  |  | type )

## ◆ setRenderer()

setRenderer | ( |  | self,
|  |  | type )

## ◆ setRenderNodePath()

setRenderNodePath | ( |  | self,
|  |  | nodePath )

## Member Data Documentation

## ◆ add_force

add_force = addForce
| static

## ◆ emitter

emitter = None

## ◆ emitterType

str emitterType = "undefined"

## ◆ factory

factory = None

## ◆ factoryType

str factoryType = "undefined"

## ◆ fEnabled

int fEnabled = 0

## ◆ geomReference

str geomReference = ""

## ◆ get_emitter

get_emitter = getEmitter
| static

## ◆ get_factory

get_factory = getFactory
| static

## ◆ get_pool_size_ranges

get_pool_size_ranges = getPoolSizeRanges
| static

## ◆ get_renderer

get_renderer = getRenderer
| static

## ◆ id

int id = 1
| static

## ◆ is_enabled

is_enabled = isEnabled
| static

## ◆ name

str name = 'particles-%d' % Particles.id

## ◆ node

node = PhysicalNode(self.name)

## ◆ nodePath

nodePath = NodePath(self.node)

## ◆ notify

notify = directNotify.newCategory('Particles')
| static

## ◆ print_params

print_params = printParams
| static

## ◆ remove_force

remove_force = removeForce
| static

## ◆ renderer

renderer = None

## ◆ rendererType

str rendererType = "undefined"

## ◆ set_emitter

set_emitter = setEmitter
| static

## ◆ set_factory

set_factory = setFactory
| static

## ◆ set_render_node_path

set_render_node_path = setRenderNodePath
| static

## ◆ set_renderer

set_renderer = setRenderer
| static